# Uses of Interface
org.eclipse.team.core.subscribers.ISubscriberChangeEvent

Packages that use ISubscriberChangeEvent
Package
Description
org.eclipse.team.core.subscribers
Application programming interfaces for generating and refreshing synchronization state.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of ISubscriberChangeEvent in org.eclipse.team.core.subscribers

Classes in org.eclipse.team.core.subscribers that implement ISubscriberChangeEvent
Modifier and Type
Class
Description
`class`
`SubscriberChangeEvent`
A concrete implementation of `ISubscriberChangeEvent` that can be used by clients.
Methods in org.eclipse.team.core.subscribers with parameters of type ISubscriberChangeEvent
Modifier and Type
Method
Description
`protected void`
Subscriber.`fireTeamResourceChange(ISubscriberChangeEvent[] deltas)`
Fires a team resource change event to all registered listeners.
`void`
ISubscriberChangeListener.`subscriberResourceChanged(ISubscriberChangeEvent[] deltas)`
Notifies this listener that some resources' subscriber properties have changed.
`void`
SubscriberScopeManager.`subscriberResourceChanged(ISubscriberChangeEvent[] deltas)`

## Uses of ISubscriberChangeEvent in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize with parameters of type ISubscriberChangeEvent
Modifier and Type
Method
Description
`void`
SubscriberTeamStateProvider.`subscriberResourceChanged(ISubscriberChangeEvent[] deltas)`
Constructors in org.eclipse.team.ui.synchronize with parameters of type ISubscriberChangeEvent
Modifier
Constructor
Description
``
`TeamStateChangeEvent(ISubscriberChangeEvent[] deltas)`
Convenience constructor for creating an event from a subscriber change.